####################################################################
##
## Definition of constants that other files use
##
## Author: L. Pitonakova (http://lenkaspace.net)
## License: GNU General Public License. Please credit me when using my work.
##
###################################################################

PUBLICATION_TYPE = "";


WAYPOINT_ID_END_LOOP = "endLoop";
ENV_CHANGED_EVENT_TYPE = 1;


TEXT_HABITUATION_THRESHOLD ="Habituation threshold ($\Theta_H$)";
TEXT_LEARNING_RATE ="Learning rate ($\eta$)";
TEXT_MAX_ROBOT_SPEED ="Maximum robot speed [cm$s^{-1}$]";
TEXT_BLOB_CAMERA_NOIZE ="Light sensor noise $\sigma_Z$";

TEXT_TRAINING_TIME = "Network training time\n[minutes]";
TEXT_TRAINING_TIME_PASSES = "Passes through environ-   \nment needed for training     ";
TEXT_MAX_NUM_OF_NEURONS = "Clustering layer size ($N_C$)  "
TEXT_QUANTIZATION_ERROR = "Quantization error ($\eta_Q$)"
TEXT_NUM_OF_NEURONS = "Number of\nclustering layer neurons";
TEXT_GROWTH_RATE = "Training network non-zero\ngrowth rate [% per second] "
TEXT_AVERAGE_NOVELTY = "Average novelty"
TEXT_AVERAGE_TOTAL_INPUT_WEIGHTS ="Average total number\n of neuron input weights";
TEXT_AVERAGE_INPUT_WEIGHTS_PER_NEURON = "Average number\n of neuron input weights";
TEXT_AVERAGE_TOTAL_CONNECTIONS = "Average total number\n of neuron connections";

def resetAll():

    import constants;

    constants.PUBLICATION_TYPE = "";

    
   
        
    
    
    
    