/* ================================================================
 * ================================================================
 *
 * Static functions for various calculations
 *
 * Author: L. Pitonakova (http://lenkaspace.net)
 * License: GNU General Public License. Please credit me when using my work.
 *
 * ================================================================
 * ================================================================
 */

#ifndef HELPERS_MATHHELPER_H_
#define HELPERS_MATHHELPER_H_

#include <vector>

class MathHelper {
public:
   MathHelper();
   virtual ~MathHelper();

   static float GetAverageOfAVector(std::vector<float> vec_, bool ignoreZeros_);
   static float GetMaxOfAVector(std::vector<float> vec_);
};

#endif /* HELPERS_MATHHELPER_H_ */
